Name:           qdex
Version:        9.09
Release:        3%{?dist}
Summary:        Offline Romanian dictionary application

Group:          Applications/Text
License:        GPLv3
URL:            http://%{name}.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt-devel >= 4.2

%description
qDex is an offline dictionary application that uses the database
of the Romanian word definitions created and maintained by Dexonline.ro
volunteers.

%prep
%setup -q -n %{name}


%build
%{_qt4_qmake} 
%{__make} %{?_smp_mflags} CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}
install -p -D qdex %{buildroot}%{_bindir}

desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

mkdir -p %{buildroot}%{_datadir}/pixmaps/
cp -p images/book.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
                     
%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE.GPL3
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Wed Sep  9 2009 Ionuț Arțăriși <mapleoin@lavabit.com> - 9.09-3
- Added icon

* Wed Sep  9 2009 Ionuț Arțăriși <mapleoin@lavabit.com> - 9.09-2
- Added desktop file and changed db file location

* Wed Sep  9 2009 Ionuț Arțăriși <mapleoin@lavabit.com> - 9.09-1
- Initial release
